GraphiQL open_in_new

# `RepositoryOwner`

Represents an owner of a Repository.

## GraphQL Schema definition `

- interface RepositoryOwner {
- # A URL pointing to the owner's public avatar.
- #
- # Arguments
- # size: The size of the resulting square
- # image.
- avatarURL(size: Int): String!
- # Find gist by repo name.
- #
- # Arguments
- # name: The gist name to find.
- gist(name: String!): Gist
- # A list of the Gists the user has created.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # visibility: Allows filtering by gist
- # visibility.
- gists(first: Int, after: String, last: Int, before: String, visibility: GistVisibility): GistConnection!
- id: ID!
- # The username used to login.
- login: String!
- # The HTTP url for the owner.
- path: URI!
- # A list of repositories that the user owns.
- #
- # Arguments
- # first: Returns the first _n_ elements
- # from the list.
- # after: Returns the elements in the
- # list that come after the specified global ID.
- # last: Returns the last _n_ elements
- # from the list.
- # before: Returns the elements in the
- # list that come before the specified global ID.
- # privacy: If non-null, filters repositories
- # according to privacy
- # isFork: If non-null, filters repositories
- # according to whether they are forks of another repository
- # orderBy: Ordering options for repositories
- # returned from the connection
- repositories(first: Int, after: String, last: Int, before: String, privacy: RepositoryPrivacy, isFork: Boolean, orderBy: RepositoryOrder): RepositoryConnection!
- # Find Repository.
- #
- # Arguments
- # name: Name of Repository to find.
- repository(name: String!): Repository
- # The HTTP url for the owner.
- url: URI!
- }

`